Identity Providers
The page number of results
1The number of results to return per page
10A list of configured identity providers
252Bad Request
Unauthorized
GET /v2/identity-providers HTTP/1.1
Host: api.appetize.io
Accept: */*
{
"total": 25,
"nextPage": 2,
"providers": [
{
"id": "idp_abc123",
"key": "bsad123",
"type": "saml",
"config": {
"entryPoint": "https://sso.example.com/saml/login",
"issuer": "https://sso.example.com/saml",
"cert": "-----BEGIN CERTIFICATE-----MIID...-----END CERTIFICATE-----",
"certExpires": "2030-01-01T00:00:00.000Z",
"cbUrl": "/sso/idp-key/auth/cb"
},
"created": "2020-01-01T00:00:00.000Z",
"createdBy": "user@appetize.io",
"updated": "2020-01-01T00:00:00.000Z",
"updatedBy": "user@appetize.io"
}
]
}Created successfully
The unique identifier for the Identity Provider
idp_abc123URL-safe, human-readable identifier
bsad123samlPossible values: Timestamp when the provider was created
2020-01-01T00:00:00.000ZUsername or token label that created the provider
user@appetize.ioTimestamp of the last update
2020-01-01T00:00:00.000ZUsername or token label that last modified the provider
user@appetize.ioBad Request
Unauthorized
POST /v2/identity-providers HTTP/1.1
Host: api.appetize.io
Content-Type: application/json
Accept: */*
Content-Length: 185
{
"type": "saml",
"config": {
"entryPoint": "https://sso.example.com/saml/login",
"issuer": "https://sso.example.com/saml",
"cert": "-----BEGIN CERTIFICATE-----MIID...-----END CERTIFICATE-----"
}
}{
"id": "idp_abc123",
"key": "bsad123",
"type": "saml",
"config": {
"entryPoint": "https://sso.example.com/saml/login",
"issuer": "https://sso.example.com/saml",
"cert": "-----BEGIN CERTIFICATE-----MIID...-----END CERTIFICATE-----",
"certExpires": "2030-01-01T00:00:00.000Z",
"cbUrl": "/sso/idp-key/auth/cb"
},
"created": "2020-01-01T00:00:00.000Z",
"createdBy": "user@appetize.io",
"updated": "2020-01-01T00:00:00.000Z",
"updatedBy": "user@appetize.io"
}idp_abc123Identity provider config
The unique identifier for the Identity Provider
idp_abc123URL-safe, human-readable identifier
bsad123samlPossible values: Timestamp when the provider was created
2020-01-01T00:00:00.000ZUsername or token label that created the provider
user@appetize.ioTimestamp of the last update
2020-01-01T00:00:00.000ZUsername or token label that last modified the provider
user@appetize.ioBad Request
Unauthorized
Not Found
GET /v2/identity-providers/{idpId} HTTP/1.1
Host: api.appetize.io
Accept: */*
{
"id": "idp_abc123",
"key": "bsad123",
"type": "saml",
"config": {
"entryPoint": "https://sso.example.com/saml/login",
"issuer": "https://sso.example.com/saml",
"cert": "-----BEGIN CERTIFICATE-----MIID...-----END CERTIFICATE-----",
"certExpires": "2030-01-01T00:00:00.000Z",
"cbUrl": "/sso/idp-key/auth/cb"
},
"created": "2020-01-01T00:00:00.000Z",
"createdBy": "user@appetize.io",
"updated": "2020-01-01T00:00:00.000Z",
"updatedBy": "user@appetize.io"
}idp_abc123Deleted successfully
No content
Bad Request
DELETE /v2/identity-providers/{idpId} HTTP/1.1
Host: api.appetize.io
Accept: */*
No content
idp_abc123Updated provider
The unique identifier for the Identity Provider
idp_abc123URL-safe, human-readable identifier
bsad123samlPossible values: Timestamp when the provider was created
2020-01-01T00:00:00.000ZUsername or token label that created the provider
user@appetize.ioTimestamp of the last update
2020-01-01T00:00:00.000ZUsername or token label that last modified the provider
user@appetize.ioBad Request
Unauthorized
Not Found
PATCH /v2/identity-providers/{idpId} HTTP/1.1
Host: api.appetize.io
Content-Type: application/json
Accept: */*
Content-Length: 171
{
"config": {
"entryPoint": "https://sso.example.com/saml/login",
"issuer": "https://sso.example.com/saml",
"cert": "-----BEGIN CERTIFICATE-----MIID...-----END CERTIFICATE-----"
}
}{
"id": "idp_abc123",
"key": "bsad123",
"type": "saml",
"config": {
"entryPoint": "https://sso.example.com/saml/login",
"issuer": "https://sso.example.com/saml",
"cert": "-----BEGIN CERTIFICATE-----MIID...-----END CERTIFICATE-----",
"certExpires": "2030-01-01T00:00:00.000Z",
"cbUrl": "/sso/idp-key/auth/cb"
},
"created": "2020-01-01T00:00:00.000Z",
"createdBy": "user@appetize.io",
"updated": "2020-01-01T00:00:00.000Z",
"updatedBy": "user@appetize.io"
}Last updated